D1Client.listUpdateHistory() needs to handle changing access policies
Status: In Progress Start date: 2014-10-01

Priority: Low Due date: 2014-10-01

Assignee: Rob Nahf % Done: 30%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

the current D1Client.listUpdateHistory() method needs to gracefully handle the situation where a NotAuthorized request is returned. 

the ObsoletesChain client class may need to be refactored to allow for this exception to be held so it can notify the user where

appropriate.

Ostensibly, with a NotAuthorized, the user will not have access to either the tail or head of the chain, so can't return the head or tail,

depending on  how access changes.

History

#1 - 2013-04-16 22:15 - Rob Nahf

- % Done changed from 0 to 30

- Status changed from New to In Progress

will add a boolean or exception column to the Object[] in the ObsoletesChain class, to annotate problems in chain traversal.

#2 - 2014-10-01 21:59 - Rob Nahf

- Due date set to 2014-10-01

- Target version set to Release Backlog

- Start date set to 2014-10-01

#3 - 2015-02-11 20:53 - Rob Nahf

- Category changed from d1_libclient_java to d1_libclient_java

- Target version changed from Release Backlog to CLJ

- Project changed from Infrastructure to Java Client

Is this a v1 libclient-only issue?  or is this method valuable for interaction with v1 MNs?

The solution might only belong in v1 libclient, but I'm not sure..

#4 - 2015-02-11 20:55 - Rob Nahf

- Target version deleted (CLJ)

#5 - 2018-01-17 20:19 - Dave Vieglais

- Priority changed from Normal to Low

#6 - 2018-01-17 20:19 - Dave Vieglais

- Sprint set to Infrastructure backlog
